@-webkit-keyframes glowGreen {
  from {
    -webkit-box-shadow: rgba(0, 255, 0, 0) 0 0 0 0;
  }
  50% {
    -webkit-box-shadow: rgba(0, 255, 0, 1) 0 0 6px 2px;
  }
  to {
    -webkit-box-shadow: rgba(0, 255, 0, 0) 0 0 0 0;
  }
}

@-webkit-keyframes glowRed {
  from {
    -webkit-box-shadow: rgba(255, 0, 0,0) 0 0 0;
  }
  50% {
    -webkit-box-shadow: rgba(255, 0, 0, 1) 0 0 15px 1px;
  }
  to {
    -webkit-box-shadow: rgba(255, 0, 0, 0) 0 0 0;
  }
}

@-moz-keyframes glowGreen {
  from {
    -moz-box-shadow: rgba(0, 255, 0, 0) 0 0 0;
  }
  50% {
    -moz-box-shadow: rgba(0, 255, 0, 1) 0 0 6px 1px;
  }
  to {
    -moz-box-shadow: rgba(0, 255, 0, 0) 0 0 0;
  }
}

@-moz-keyframes glowRed {
  from {
    -moz-box-shadow: rgba(255, 0, 0, 0) 0 0 0;
  }
  50% {
    -moz-box-shadow: rgba(255, 0, 0, 1) 0 0 6px 1px;
  }
  to {
    -moz-box-shadow: rgba(255, 0, 0, 0) 0 0 0;
  }
}

body {
  
  display: -webkit-box;
  -webkit-box-align: center;
  -webkit-box-pack: center;
  display: -moz-box;
  -moz-box-align: center;
  -moz-box-pack: center;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
}

#connection {
    position:absolute;
    top  : 10px;
    left : 900px;
     width: 100px;
     height: 17px;
  font: 13px Arial, sans-serif;
  text-transform: uppercase;
 // font-weight: bold;
  vertical-align: middle;
  -webkit-text-stroke: 0;
  -moz-text-stroke: 0;
  color: black;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-color: rgba(55,96,117,1);
  //text-shadow: rgba(255,255,255,0.5) 0 1px 2px, rgba(255,255,255,0.4) 1px 3px 3px;
  border: 1px solid black;
  border-radius: 5px;
  padding-left: 10px;
}

#connection div {
  display: inline-block;
  background-color: orange;
  width: 10px;
  height: 10px;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  margin-left: 20px;
 // padding-top: 2px;
  -webkit-animation-duration: 3.5s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
  -moz-animation-duration: 3.5s;
  -moz-animation-iteration-count: infinite;
  -moz-animation-timing-function: linear;
  -o-animation-duration: 3.5s;
  -o-animation-iteration-count: infinite;
  -o-animation-timing-function: linear;
}
#connection.connected {
  background-color: rgba(0, 55, 0, 1);
  border-color: green;
  -webkit-box-shadow: 0 0 1px 0 #bbb;
  -moz-box-shadow: 0 0 1px 0 #bbb;
  -ms-box-shadow: 0 0 1px 0 #bbb;
  -o-box-shadow: 0 0 1px 0 #bbb;
  box-shadow: 0 0 1px 0 #bbb;
}
#connection.connected div {
  background-color: green;
  -webkit-box-shadow: rgba(0, 255, 0, 0.5) 0px 0px 5px;
  -moz-box-shadow: rgba(0, 255, 0, 0.5) 0px 0px 5px;
  -o-box-shadow: rgba(0, 255, 0, 0.5) 0px 0px 5px;
  -ms-box-shadow: rgba(0, 255, 0, 0.5) 0px 0px 5px;
  box-shadow: rgba(0, 255, 0, 0.5) 0px 0px 5px;
  -webkit-animation-name: glowGreen;
  -moz-animation-name: glowGreen;
  -ms-animation-name: glowGreen;
  -o-animation-name: glowGreen;
}
#connection.disconnected {
  background-color: rgba(55, 0, 0, 1);
  border-color: red;
  -webkit-box-shadow: 0 0 1px 0 #bbb;
  -moz-box-shadow: 0 0 1px 0 #bbb;
  -ms-box-shadow: 0 0 1px 0 #bbb;
  -o-box-shadow: 0 0 1px 0 #bbb;
   box-shadow: 0 0 1px 0 #bbb;
}
#connection.disconnected div {
  background-color: red;
  -webkit-box-shadow: rgba(255, 0, 0, 0.2) 0px 0px 5px;
  -moz-box-shadow: rgba(255, 0, 0, 0.2) 0px 0px 5px;
  -ms-box-shadow: rgba(255, 0, 0, 0.2) 0px 0px 5px;
  -o-box-shadow: rgba(255, 0, 0, 0.2) 0px 0px 5px;
  box-shadow: rgba(255, 0, 0, 0.2) 0px 0px 5px;
  -webkit-animation-name: glowRed;
  -moz-animation-name: glowRed;
   -o-animation-name: glowRed;
}

